summaryrefslogtreecommitdiffstats
path: root/abs/extra/mythappletrailers/loading.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-08-30 22:26:00 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-08-30 22:26:00 (GMT)
commit1f175a7b07b9553ce98d0546ac04dbb925ec0bc9 (patch)
treec969070115611a8a75f23d468aa5e0cf86a08121 /abs/extra/mythappletrailers/loading.sh
parentc4bd4457b5d640e1c8f5afbca7cd54c53691e5fc (diff)
downloadlinhes_pkgbuild-1f175a7b07b9553ce98d0546ac04dbb925ec0bc9.zip
linhes_pkgbuild-1f175a7b07b9553ce98d0546ac04dbb925ec0bc9.tar.gz
linhes_pkgbuild-1f175a7b07b9553ce98d0546ac04dbb925ec0bc9.tar.bz2
RESYNC EXTRA:
synced extra-testing -> extra repo Signed-off-by: James Meyer <james.meyer@operamail.com>
Diffstat (limited to 'abs/extra/mythappletrailers/loading.sh')
-rwxr-xr-xabs/extra/mythappletrailers/loading.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/abs/extra/mythappletrailers/loading.sh b/abs/extra/mythappletrailers/loading.sh
index d1ef680..e4e85fc 100755
--- a/abs/extra/mythappletrailers/loading.sh
+++ b/abs/extra/mythappletrailers/loading.sh
@@ -1,2 +1,12 @@
#!/bin/bash
-echo -e "Loading . . . " | osd_cat -p middle -s 5 -f"-adobe-courier-bold-*-*-*-34-*-*-*-*-*" -d 10 -A centre
+
+. /etc/osd_cat.cfg || {
+ color=yellow
+ outline=2
+ outlinecolour=black
+ shadow=0
+ shadowcolour=black
+ font="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"
+}
+
+echo -e "Loading . . . " | osd_cat --pos=middle --align=center --delay=10 --color=$color --outline=$outline --outlinecolour=$outlinecolour --shadow=$shadow --shadowcolour=$shadowcolour --font=$font